NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::MirrorCurveBuilder Class Reference

Represents a NXOpen::Features::MirrorCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMirrorCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::MirrorCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  PlaneOptions { PlaneOptionsExistingPlane, PlaneOptionsNewPlane }
 Represents the Plane options. More...
 

Public Member Functions

NXOpen::SectionCurve ()
 Returns the curves to mirror
Created in NX6.0.0. More...
 
NXOpen::SelectISurfaceExistingPlane ()
 Returns the Mirror plane/face
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::CurveOptionsInputCurvesOptions ()
 Returns the input curve options
Created in NX6.0.0. More...
 
NXOpen::PlaneNewPlane ()
 Returns the plane constructor
Created in NX6.0.0. More...
 
NXOpen::Features::MirrorCurveBuilder::PlaneOptions PlaneOption ()
 Returns the plane option
Created in NX6.0.0. More...
 
void SetNewPlane (NXOpen::Plane *newPlane)
 Sets the plane constructor
Created in NX6.0.0. More...
 
void SetPlaneOption (NXOpen::Features::MirrorCurveBuilder::PlaneOptions planeOption)
 Sets the plane option
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::MirrorCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMirrorCurveBuilder
Default values.

Property Value

PlaneOption

ExistingPlane


Created in NX6.0.0.

Member Enumeration Documentation

Represents the Plane options.

Enumerator
PlaneOptionsExistingPlane 

existing plane

PlaneOptionsNewPlane 

new plane

Member Function Documentation

NXOpen::Section* NXOpen::Features::MirrorCurveBuilder::Curve ( )

Returns the curves to mirror
Created in NX6.0.0.



License requirements : None

NXOpen::SelectISurface* NXOpen::Features::MirrorCurveBuilder::ExistingPlane ( )

Returns the Mirror plane/face
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveOptions* NXOpen::Features::MirrorCurveBuilder::InputCurvesOptions ( )

Returns the input curve options
Created in NX6.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::MirrorCurveBuilder::NewPlane ( )

Returns the plane constructor
Created in NX6.0.0.



License requirements : None

NXOpen::Features::MirrorCurveBuilder::PlaneOptions NXOpen::Features::MirrorCurveBuilder::PlaneOption ( )

Returns the plane option
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::MirrorCurveBuilder::SetNewPlane ( NXOpen::Plane newPlane)

Sets the plane constructor
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
newPlanenewplane
void NXOpen::Features::MirrorCurveBuilder::SetPlaneOption ( NXOpen::Features::MirrorCurveBuilder::PlaneOptions  planeOption)

Sets the plane option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
planeOptionplaneoption

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.